# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.92"
name = "egui_json_tree"
version = "0.16.0"
authors = ["Duncan MacKinnon <dmackdev@gmail.com>"]
build = false
include = [
    "src/*.rs",
    "../LICENSE-MIT",
    "../LICENSE-APACHE",
    "Cargo.toml",
]
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An interactive JSON tree visualiser for egui, with search and highlight functionality."
readme = "README.md"
keywords = [
    "json",
    "egui",
    "gui",
    "ui",
    "widget",
]
categories = [
    "gui",
    "visualization",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/dmackdev/egui_json_tree"

[features]
default = ["serde_json"]
serde_json = ["dep:serde_json"]
simd_json = ["dep:simd-json"]

[lib]
name = "egui_json_tree"
path = "src/lib.rs"

[dependencies.egui]
version = "0.35"
default-features = false

[dependencies.serde_json]
version = "1"
optional = true

[dependencies.simd-json]
version = "0.13"
optional = true

[dev-dependencies.egui]
version = "0.35"
default-features = true

[dev-dependencies.egui_kittest]
version = "0.35"
features = [
    "wgpu",
    "snapshot",
]
